Name: penguin-command
Version: 1.6.8
Release: alt1

Summary: A clone of the classic Missile Command game
Summary(ru_RU.UTF-8): Клон классической игры Missile Command
License: GPL
Group: Games/Arcade
Url: http://www.linux-games.com/penguin-command/index.html
Packager: Aleksandr Blokhin 'Sass' <sass@altlinux.ru>

Source: http://www.linux-games.com/penguin-command/%name-%version.tar.bz2
Source1: %name.png.tar.bz2

# Automatically added by buildreq on Sun Jan 16 2005
BuildRequires: esound libSDL-devel libSDL_image-devel libSDL_mixer-devel xorg-x11-libs zlib-devel

%description
This is a clone of the classic "Missile Command" Game, but it has better
graphics and music. The gameplay has only been slightly modified. Penguin
Command is completely licensed under the GPL, excluding the music.

%description -l ru_RU.UTF-8
Это клон классической игры Missile Command, имеющий лучшую графику и звуковое 
сопровождение, чем у оригинала. Также несколько отличается сценарий игры.
Penguin Command, за исключением музыки, распространяется на условиях лицензии GPL.

%prep
%setup -a1

%build
%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir
%make_build

%install
%makeinstall bindir=$RPM_BUILD_ROOT%_gamesbindir \
	     datadir=$RPM_BUILD_ROOT%_gamesdatadir

%__install -p -D -m644 %name.16.png $RPM_BUILD_ROOT%_miconsdir/%name.png
%__install -p -D -m644 %name.32.png $RPM_BUILD_ROOT%_iconsdir/%name.png
%__install -p -D -m644 %name.48.png $RPM_BUILD_ROOT%_liconsdir/%name.png

%__mkdir_p $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT/%_menudir/%name
?package(%name):command="%_gamesbindir/%name" icon="%name.png" \
needs="x11" section="Amusement/Arcade" title="Penguin Command" \
longtitle="%summary"
EOF

%find_lang %name

%files -f %name.lang
%doc README NEWS COPYING AUTHORS ChangeLog
%dir %_gamesdatadir/%name
%dir %_gamesdatadir/%name/gfx
%dir %_gamesdatadir/%name/sound
%_gamesbindir/%name
%_gamesdatadir/%name/gfx
%_gamesdatadir/%name/sound
%_menudir/%name
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_man6dir/%name.6.gz

%post
%update_menus

%postun
%clean_menus

%changelog
* Sun Jan 16 2005 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.6.8-alt1
- 1.6.8

* Mon Jun 21 2004 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.6.6-alt1
- 1.6.6

* Tue Dec 17 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.6.5-alt1
- Initial release for Sisyphus based on spec from MDK
